Page MenuHomePhabricator

Publish pending indicator layout is broken on the CAT tool
Closed, ResolvedPublic

Description

We have this: Currently the loading indicator thats shows up when you press publish is above the image on the CAT tool which may have happened when we switched to VUE

We want this: The loading indicator should be vertically and horizontally centered within the image card container

Screenshot of the current layout:

During development, please test the following:

  • Test this feature while logged in AND logged out - not applicable
  • Test this feature on at least one mobile browser
  • Test that this feature works on the file page AND the Add Data step on UploadWizard (if applicable, some features only exist on one or the other) - not applicable

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2020, 3:45 PM
mwilliams renamed this task from Loading indicator is in wrong location on CAT to Loading indicator is showing up in wrong location on the CAT tool.Jun 25 2020, 3:49 PM
AnneT renamed this task from Loading indicator is showing up in wrong location on the CAT tool to Publish pending indicator layout is broken on the CAT tool.Jun 25 2020, 4:08 PM

Change 607860 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Fix publish pending indicator layout

https://gerrit.wikimedia.org/r/607860

Change 607860 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Fix publish pending indicator layout

https://gerrit.wikimedia.org/r/607860

Ramsey-WMF reassigned this task from AnneT to Etonkovidova.Jul 9 2020, 8:33 PM

The loading indicator should be vertically and horizontally centered on top of the image

Tested in betalabs - seems that the dots are aligned centrally in "wbmad-image-with-suggestions__container" element, not as in the task description

@AnneT - please review the following images for whether the position of the loading indicator should be adjusted or not.

Besides, when an image is small (as it's the case with betalabs Special:SuggestedTags#popular, it might be problematic to display the indicator at the top of such images. I'm not sure if such examples in betalabs reflect real production display of small images and to what extent the container for images display would adjust to the images sizes.

AnneT added a comment.Jul 14 2020, 1:08 AM

Hey @Etonkovidova, I think the loading indicator should be centered vertically within the entire image card, not the image; my language in the task description was inaccurate. Thanks for checking!

AnneT updated the task description. (Show Details)Jul 14 2020, 1:09 AM
Etonkovidova closed this task as Resolved.Jul 16 2020, 12:17 AM

Thanks for clarification, @AnneT - the task states "horizontally centered within the image card container" is accurate, just double-checking.

Checked in wmf.41 - all is in place.